$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-280958ee747465850f5f7edb8d5ac9ce315c93f8/rpcs3-v0.0.12-11104-280958ee_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'f9800aaf0fd68d84e2f91cfe253d95cf55fba2334ed307f4bd2623fb852ce03b'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
